package Hexel;

import Hexel.math.Vector2d;
import Hexel.math.Vector2i;
import Hexel.math.Vector3d;
import Hexel.math.Vector3i;
import Hexel.util.ResourcePool;

public class Resources {

	public static ResourcePool<Vector3i> vector3iResourcePool = new ResourcePool<Vector3i>(Vector3i.class);
	public static ResourcePool<Vector2i> vector2iResourcePool = new ResourcePool<Vector2i>(Vector2i.class);

	public static ResourcePool<Vector3d> vector3dResourcePool = new ResourcePool<Vector3d>(Vector3d.class);
	public static ResourcePool<Vector2d> vector2dResourcePool = new ResourcePool<Vector2d>(Vector2d.class);


}
