package Hexel.blocks;

import java.util.ArrayList;

import Hexel.blocks.types.Block;
import Hexel.chunk.Chunk;
import Hexel.chunk.Chunks;
import Hexel.math.Vector2i;
import Hexel.math.Vector3i;

public interface BlockRule {
	public abstract int stepsUntilConsider(int x, int y, int z, Block b,
			Chunk c, Chunks chunks, int steps, Vector3i tmp, Vector2i tmp2);

	public abstract boolean isMatch(int x, int y, int z, Block b, Chunk c,
			Chunks chunks, int steps, Vector3i tmp, Vector2i tmp2);

	public abstract ArrayList<BlockDelta> apply(int x, int y, int z, Block b,
			Chunk c, Chunks chunks, int steps, Vector3i tmp, Vector2i tmp2);
}
