package Hexel.blocks.types;

public abstract class BlockTransparent extends Block {


	/**
	 * 
	 */
	private static final long serialVersionUID = -8624642624865724392L;

	public final int lightLevel;
	public static final int MAX_LIGHT_LEVEL = 16;
	
	public final int occlusion;

	public int nextLightLevel = 0;

	public BlockTransparent(int lightLevel, int occlusion){
		this.lightLevel = lightLevel;
		this.occlusion = occlusion;
	}

	public int getLightLevel() {
		return this.lightLevel;
	}

}
