package Hexel.generation.terrainGenerator;

import Hexel.blocks.types.Block;
import Hexel.blocks.types.BlockDirt;
import Hexel.blocks.types.BlockEmpty;
import Hexel.math.Vector2i;

public class CornerTerrainMap implements TerrainMap {

	@Override
	public Block getBlock(int x, int y, int z, Vector2i tmp) {
		if (z < 0 || x < 0 || y < 0)
			return BlockDirt.Make(BlockDirt.MAX_HEALTH, false);
		else
			return BlockEmpty.Make(0);

	}

}
