package Hexel.rendering;

import java.util.HashSet;

import javax.media.opengl.GL2;

import Hexel.things.Thing;

public class ThingRenderer {

	private HashSet<Thing> things = new HashSet<Thing>();

	public void addThing(Thing thing) {
		this.things.add(thing);
	}

	public void render(GL2 gl) {
		for (Thing thing : this.things) {
			if (thing instanceof Renderable) {
				Renderable r = (Renderable) thing;
				r.render(gl);
			}
		}
	}
}
