package Hexel.util;

public class FrameRateTracker {

	public long[] last;
	public int i;

	public long lastTime = 0;

	public FrameRateTracker(int n) {
		this.last = new long[n];
		this.i = 0;
	}

	public void hit() {
		this.last[this.i] = System.currentTimeMillis() - this.lastTime;
		this.i = (this.i + 1) % this.last.length;

		this.lastTime = System.currentTimeMillis();
	}

	public double avg() {
		double sum = 0;
		for (long aLast : this.last) {
			sum += aLast;
		}
		return 1000.0 / (sum / this.last.length);
	}
}
