package Hexel.blocks;

import Hexel.blocks.types.Block;
import Hexel.chunk.Chunk;
import Hexel.chunk.Chunks;
import Hexel.math.Vector2i;
import Hexel.math.Vector3i;

public abstract class FreqBlockRule implements BlockRule{
	
	private int freq;
	
	public FreqBlockRule(int freq){
		this.freq = freq;
		
	}

	@Override
	public int stepsUntilConsider(int x, int y, int z,
			Block b, Chunk c, Chunks chunks, int steps,
			Vector3i tmp, Vector2i tmp2) {
		return (freq - steps % freq) % freq;
	}

}
