package Hexel.generation.terrainGenerator;

import Hexel.blocks.types.Block;
import Hexel.blocks.types.BlockDirt;
import Hexel.blocks.types.BlockEmpty;
import Hexel.math.Vector2i;

public class SlopeTerrainMap implements TerrainMap {

	@Override
	public Block getBlock(int x, int y, int z, Vector2i tmp) {
		if (z > x+y)
			return BlockEmpty.Make(0);
		else
			return BlockDirt.Make(BlockDirt.MAX_HEALTH, false);

	}

}
