package Hexel.util;

public class Triple<A, B, C> {
	public A first;
	public B second;
	public C third;

	public Triple(A first, B second, C third) {
		super();
		this.first = first;
		this.second = second;
		this.third = third;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + (this.first == null ? 0 : this.first.hashCode());
		result = prime * result + (this.second == null ? 0 : this.second.hashCode());
		result = prime * result + (this.third == null ? 0 : this.third.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Triple other = (Triple) obj;
		if (this.first == null) {
			if (other.first != null)
				return false;
		} else if (!this.first.equals(other.first))
			return false;
		if (this.second == null) {
			if (other.second != null)
				return false;
		} else if (!this.second.equals(other.second))
			return false;
		if (this.third == null) {
			if (other.third != null)
				return false;
		} else if (!this.third.equals(other.third))
			return false;
		return true;
	}
}
